## org.apache.myfaces.custom.autoupdatedatatable
Class AutoUpdateDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable
                      org.apache.myfaces.component.html.ext.HtmlDataTableHack
                          org.apache.myfaces.component.html.ext.HtmlDataTable
                              org.apache.myfaces.custom.autoupdatedatatable.AutoUpdateDataTable

All Implemented Interfaces:
  AjaxComponent, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.apache.myfaces.component.UserRoleAware

public class AutoUpdateDataTable
extends org.apache.myfaces.component.html.ext.HtmlDataTable
implements AjaxComponent

Version:
  $Revision: $ $Date: $

  $Log: $
Author:
  Jörg Artaker, Thomas Huber

Field Summary

Fields inherited from class org.apache.myfaces.component.html.ext.HtmlDataTable
`COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`AutoUpdateDataTable()`

Method Summary
`void` `encodeAjax(javax.faces.context.FacesContext context)`
`java.lang.String` `getFrequency()`
`void` `processRestoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `processSaveState(javax.faces.context.FacesContext context)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setFrequency(java.lang.String _frequency)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlDataTable

`encodeBegin, encodeEnd, getClientId, getDataModel, getEnabledOnUserRole, getFirst, getForceIdIndexFormula, getPreservedDataModel, getPreviousRowDataVar, getRowCountVar, getRowIndexVar, getRowOnClick, getRowOnDblClick, getRowOnKeyDown, getRowOnKeyPress, getRowOnKeyUp, getRowOnMouseDown, getRowOnMouseMove, getRowOnMouseOut, getRowOnMouseOver, getRowOnMouseUp, getRows, getRowStyle, getRowStyleClass, getSerializableDataModel, getSortColumn, getVisibleOnUserRole, isPreserveDataModel, isPreserveSort, isRendered, isRenderedIfEmpty, isSortAscending, isValidChildren, processDecodes, processUpdates, processValidators, setEnabledOnUserRole, setFirst, setForceIdIndexFormula, setIsValidChildren, setPreserveDataModel, setPreservedDataModel, setPreserveSort, setPreviousRowDataVar, setRenderedIfEmpty, setRowCountVar, setRowIndex, setRowIndexVar, setRowOnClick, setRowOnDblClick, setRowOnKeyDown, setRowOnKeyPress, setRowOnKeyUp, setRowOnMouseDown, setRowOnMouseMove, setRowOnMouseOut, setRowOnMouseOver, setRowOnMouseUp, setRows, setRowStyle, setRowStyleClass, setSortAscending, setSortColumn, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlDataTableHack
`createDataModel, getRowCount, getRowData, getRowIndex, isRowAvailable, setDataModel, setValue, setValueBinding`

Methods inherited from class javax.faces.component.html.HtmlDataTable

`getBgcolor, getBorder, getCellpadding, getCellspacing, getColumnClasses, getDir, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

Methods inherited from class javax.faces.component.UIData
`broadcast, getFamily, getFooter, getHeader, getValue, getVar, queueEvent, setFooter, setHeader, setVar`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoUpdateDataTable

    public AutoUpdateDataTable()

Method Detail

### processRestoreState

    public void processRestoreState(javax.faces.context.FacesContext context,
                                    java.lang.Object state)

  Parameters:
    `context` - FacesContext
    `state` - Object

### processSaveState

    public java.lang.Object processSaveState(javax.faces.context.FacesContext context)

  Parameters:
    `context` - FacesContext
  Returns:
    Object

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Parameters:
    `context` - FacesContext
  Returns:
    the values Object[]

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Parameters:
    `context` - FacesContext
    `state` - Object

### getFrequency

    public java.lang.String getFrequency()

  Returns:
    the _frequency String

### setFrequency

    public void setFrequency(java.lang.String _frequency)

  Parameters:
    `_frequency` - String

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Specified by:
    `encodeAjax` in interface `AjaxComponent`
  Parameters:
    `context` - FacesContext
  Throws:
    `java.io.IOException`